# -*- coding: UTF-8 -*-
#
#  aya5.py - a (Real) 文5 loader for ninix
#  Copyright (C) 2004 by linjian
#  Copyright (C) 2004 by Shyouzou Sugitani <shy@users.sourceforge.jp>
#
#  This program is free software; you can redistribute it and/or modify it
#  under the terms of the GNU General Public License (version 2) as
#  published by the Free Software Foundation.  It is distributed in the
#  hope that it will be useful, but WITHOUT ANY WARRANTY; without even the
#  implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
#  PURPOSE.  See the GNU General Public License for more details.
#

import os
import sys

try:
    import _aya5
except:
    _aya5 = None

class Shiori:
    def __init__(self, dll_name):
        self.dll_name = dll_name
    def find(self, dir, dll_name): ## FIXME
        result = 0
        if _aya5:
            if os.path.isfile(os.path.join(dir, 'aya5.txt')):
                result = 205
            elif dll_name is not None and os.path.isfile(os.path.join(dir, dll_name[:-3]+'txt')):
                result = 105
        return result
    def show_description(self):
        sys.stdout.write('Shiori: Real Aya5 loader for ninix\n'
                         '        Copyright (C) 2004 by linjian\n'
                         '        Copyright (C) 2004 by Shyouzou Sugitani\n')
    def load(self, dir):
        self.dir = dir
        if _aya5:
            reload(_aya5)
            if self.dir[-1] == os.sep:
                dir = self.dir
            else:
                dir = self.dir + os.sep
            result = _aya5.load_aya5(dir)
            return result
        else:
            return 0
    def unload(self):
        if _aya5:
            _aya5.unload_aya5()
    def request(self, req_string):
        if _aya5:
            return _aya5.request_aya5(req_string)
        else:
            return '' # FIXME
